Package org.springframework.jmx.export.metadata

# Class ManagedMetric

java.lang.Object
org.springframework.jmx.export.metadata.AbstractJmxAttribute
org.springframework.jmx.export.metadata.ManagedMetric

public class ManagedMetric extends AbstractJmxAttribute
Metadata that indicates to expose a given bean property as a JMX attribute, with additional descriptor properties that indicate that the attribute is a metric. Only valid when used on a JavaBean getter.

Since:
  3.0
Author:
  Jennifer Hickey
See Also:
  - `MetadataMBeanInfoAssembler`

## Constructor Summary

Constructors
Constructor
Description
`ManagedMetric()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCategory()`
The category of this metric (ex.
`String`
`getDisplayName()`
A display name for this metric.
`MetricType`
`getMetricType()`
A description of how this metric's values change over time.
`int`
`getPersistPeriod()`
The persist period for this metric.
`String`
`getPersistPolicy()`
The persist policy for this metric.
`String`
`getUnit()`
The expected unit of measurement values.
`void`
`setCategory(String category)`
The category of this metric (ex.
`void`
`setDisplayName(String displayName)`
A display name for this metric.
`void`
`setMetricType(MetricType metricType)`
A description of how this metric's values change over time.
`void`
`setPersistPeriod(int persistPeriod)`
The persist period for this metric.
`void`
`setPersistPolicy(String persistPolicy)`
The persist policy for this metric.
`void`
`setUnit(String unit)`
The expected unit of measurement values.

### Methods inherited from class org.springframework.jmx.export.metadata.AbstractJmxAttribute

`getCurrencyTimeLimit, getDescription, setCurrencyTimeLimit, setDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManagedMetric

public ManagedMetric()

## Method Details

### setCategory

public void setCategory(@Nullable String category)
The category of this metric (ex. throughput, performance, utilization).

### getCategory

@Nullable public String getCategory()
The category of this metric (ex. throughput, performance, utilization).

### setDisplayName

public void setDisplayName(@Nullable String displayName)
A display name for this metric.

### getDisplayName

@Nullable public String getDisplayName()
A display name for this metric.

### setMetricType

public void setMetricType(MetricType metricType)
A description of how this metric's values change over time.

### getMetricType

public MetricType getMetricType()
A description of how this metric's values change over time.

### setPersistPeriod

public void setPersistPeriod(int persistPeriod)
The persist period for this metric.

### getPersistPeriod

public int getPersistPeriod()
The persist period for this metric.

### setPersistPolicy

public void setPersistPolicy(@Nullable String persistPolicy)
The persist policy for this metric.

### getPersistPolicy

@Nullable public String getPersistPolicy()
The persist policy for this metric.

### setUnit

public void setUnit(@Nullable String unit)
The expected unit of measurement values.

### getUnit

@Nullable public String getUnit()
The expected unit of measurement values.